---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: airm-keycloak-ui-client
  namespace: airm
spec:
  data:
    - remoteRef:
        key: airm-ui-keycloak-secret
      secretKey: KEYCLOAK_SECRET
  secretStoreRef:
    kind: ClusterSecretStore
    name: keycloak-secret-store
  target:
    name: airm-keycloak-ui-creds
    template:
      type: Opaque
